---
title: Get field values for catalog search filters
slug: reference/get-field-values-for-catalog-search-filters
docTags: 
createdAt: 2025-07-03T16:20:35.018Z
---

{
  "id": "sWydRNmZTITUgUdLwbD6i",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://app.amberflo.io/business-unit/service-catalog/fields-values",
    "servers": [
      {
        "url": "https://app.amberflo.io/business-unit/service-catalog/fields-values"
      }
    ],
    "name": "Get field values for catalog search filters",
    "description": "<p>List possible values for a catalog item field, for the purpose of suggestion and auto-complete</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "visibility",
          "type": "string",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "providers",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "categories",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "services",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "meterApiNames",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "regions",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "pricingUnits",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        },
        {
          "kind": "optional",
          "name": "descriptionLike",
          "type": "string",
          "description": ""
        },
        {
          "kind": "optional",
          "name": "timeInSeconds",
          "type": "integer<int64>",
          "description": "<p>When looking for Amberflo catalog items, this indicates the time (in {unixEpochSeconds} when the item was active. Defaults to 'now'.</p>"
        },
        {
          "kind": "required",
          "name": "fields",
          "type": "array",
          "description": "",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "apiKey",
          "name": "X-API-KEY",
          "kind": "optional",
          "type": "apiKey",
          "in": "header"
        }
      ]
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "Successful request",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "business_unit.service_catalog.query.ServiceCatalogFieldsValuesResult.out",
            "schema": [
              {
                "name": "metadata",
                "kind": "optional",
                "type": "object",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.service_catalog.query.ServiceCatalogFieldsValuesQuery.out",
                "customType": "business_unit.service_catalog.query.ServiceCatalogFieldsValuesQuery.out",
                "schema": [
                  {
                    "name": "visibility",
                    "kind": "optional",
                    "type": "string",
                    "description": "Service catalog item visibility level controlling access and discovery within business unit service catalogs.\n\n**Values:**\n- **PUBLIC:** Service visible to all business units and users in account\n- **PRIVATE:** Service restricted to specific business units or authorized users only\n",
                    "modelRef": "#/components/schemas/business_unit.service_catalog.CatalogVisibility.out",
                    "customType": "business_unit.service_catalog.CatalogVisibility.out",
                    "schema": []
                  },
                  {
                    "name": "providers",
                    "kind": "optional",
                    "type": "array",
                    "description": "Cloud provider identifier for cost data and service catalog filtering. Supported values include AWS (Amazon Web Services), AZURE (Microsoft Azure), GOOGLE_CLOUD (Google Cloud Platform), and AMBERFLO (internal Amberflo services for meter-based billing).",
                    "modelRef": "#/components/schemas/business_unit.common.DataProvider.out",
                    "customType": "business_unit.common.DataProvider.out[]",
                    "schema": []
                  },
                  {
                    "name": "categories",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "services",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "meterApiNames",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "regions",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "pricingUnits",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  },
                  {
                    "name": "descriptionLike",
                    "kind": "optional",
                    "type": "string",
                    "description": "",
                    "example": ""
                  },
                  {
                    "name": "timeInSeconds",
                    "kind": "optional",
                    "type": "integer<int64>",
                    "description": "When looking for Amberflo catalog items, this indicates the time (in {unixEpochSeconds} when the item was active. Defaults to 'now'.",
                    "example": 0
                  },
                  {
                    "name": "fields",
                    "kind": "required",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ]
              },
              {
                "name": "items",
                "kind": "optional",
                "type": "array",
                "description": "",
                "modelRef": "#/components/schemas/business_unit.service_catalog.query.ServiceCatalogFieldsValuesItem.out",
                "customType": "business_unit.service_catalog.query.ServiceCatalogFieldsValuesItem.out[]",
                "schema": [
                  {
                    "name": "values",
                    "kind": "optional",
                    "type": "array",
                    "description": "",
                    "example": "",
                    "itemType": "string",
                    "customType": "string[]",
                    "itemExample": "",
                    "itemDefault": ""
                  }
                ]
              }
            ],
            "modelRef": "#/components/schemas/business_unit.service_catalog.query.ServiceCatalogFieldsValuesResult.out",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "opGH2lr0uHhUwvIhSWEal",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url 'https://app.amberflo.io/business-unit/service-catalog/fields-values?fields=array' \\\n     --header 'accept: application/json'"
        },
        {
          "id": "IiO4-rcZ9E2nNOi8ciSj8",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://app.amberflo.io/business-unit/service-catalog/fields-values?fields=array\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "I_ZS8v-1bkt3AmWr1R6U8",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://app.amberflo.io/business-unit/service-catalog/fields-values?fields=array\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "xK57WQ4I3cwrJHDogGE0P",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://app.amberflo.io/business-unit/service-catalog/fields-values?fields=array\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "opGH2lr0uHhUwvIhSWEal"
    },
    "results": {
      "languages": [
        {
          "id": "response-0-200",
          "language": "200",
          "code": "// Successful request\n{\n  \"metadata\": {\n    \"visibility\": \"\",\n    \"providers\": [\n      \"\"\n    ],\n    \"categories\": [\n      \"\"\n    ],\n    \"services\": [\n      \"\"\n    ],\n    \"meterApiNames\": [\n      \"\"\n    ],\n    \"regions\": [\n      \"\"\n    ],\n    \"pricingUnits\": [\n      \"\"\n    ],\n    \"descriptionLike\": \"\",\n    \"timeInSeconds\": \"\",\n    \"fields\": [\n      \"\"\n    ]\n  },\n  \"items\": [\n    {\n      \"values\": [\n        \"\"\n      ]\n    }\n  ]\n}"
        }
      ],
      "selectedLanguageId": "response-0-200"
    }
  },
  "children": [
    {
      "text": "",
      "id": "fQuJP9LVcywHI_Ek0P-me"
    }
  ]
}